Resultados 1 a 8 de 8
  1. #1
    Aspirante a Evangelist
    Data de Ingresso
    Nov 2010
    Localização
    São Paulo
    Posts
    386

    Cpanel erro na instalação

    Pessoal preciso de ajuda estou recebendo este erro na instalação do meu Cpanel:


    2012-01-26 12:03:32 256 (DEBUG): Error: Package: environment-modules-3.2.7b-7.el5.x86_64 (epel)
    2012-01-26 12:03:32 256 (DEBUG): Requires: libtcl8.4.so()(64bit)
    2012-01-26 12:03:32 256 (DEBUG): Error: Package: python-ethtool-0.6-2.el5.x86_64 (epel)
    2012-01-26 12:03:32 256 (DEBUG): Requires: python(abi) = 2.4
    2012-01-26 12:03:32 256 (DEBUG): Installed: python-2.6.6-29.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
    2012-01-26 12:03:32 256 (DEBUG): python(abi) = 2.6
    2012-01-26 12:03:32 256 (DEBUG): Available: python26-2.6.5-6.el5.x86_64 (epel)
    2012-01-26 12:03:32 256 (DEBUG): python(abi) = 2.6
    2012-01-26 12:03:32 256 (DEBUG): You could try using --skip-broken to work around the problem
    2012-01-26 12:03:33 256 (DEBUG): You could try running: rpm -Va --nofiles --nodigest
    2012-01-26 12:03:33 256 (ERROR): - ssystem [EXIT_CODE] '/usr/bin/yum' exited with 1 (ignored)
    2012-01-26 12:03:33 256 (DEBUG): - ssystem [END]
    2012-01-26 12:03:33 260 (FATAL): yum failed 6 times. Cannot continue!

    Ja verifiquei o arquivo /resolv.conf

    Agradeço.
    Carlos Nunes
    Analista de sistemas
    Desenvolvimento de Soluções para web.
    Criarnaweb E-Solutions
    www.criarnaweb.com.br
    https://br.linkedin.com/in/nunescarlos

  2. #2
    Super Moderador
    Data de Ingresso
    Sep 2010
    Localização
    Procurando...
    Posts
    4,106
    qual a versão do CentOS?
    Siga-nos em nosso twitter: @wht_brasil

  3. #3
    Aspirante a Evangelist
    Data de Ingresso
    Nov 2010
    Localização
    São Paulo
    Posts
    386
    Winger,

    Centos 6

    Obrigado
    Carlos Nunes
    Analista de sistemas
    Desenvolvimento de Soluções para web.
    Criarnaweb E-Solutions
    www.criarnaweb.com.br
    https://br.linkedin.com/in/nunescarlos

  4. #4
    Super Moderador
    Data de Ingresso
    Sep 2010
    Localização
    Procurando...
    Posts
    4,106
    Citação Postado originalmente por carlosnunes Ver Post
    Winger,

    Centos 6

    Obrigado
    carlosnunes,

    pelo que sei dá problema nele mesmo, volta pro 5.7 que voce será feliz
    Siga-nos em nosso twitter: @wht_brasil

  5. #5
    WHT-BR Top Member
    Data de Ingresso
    Dec 2010
    Localização
    /sc/rionegrinho
    Posts
    1,036
    Carlos, já instalei o cPanel em algumas máquinas com o CentOS 6 e está funcional.

    O yum update retorna algum erro?
    Alexandre Silva Hostert

    Veezon
    Gerenciamento de Servidores


    http://veezon.com.br
    http://br.linkedin.com/in/alexandreveezon

  6. #6
    Aspirante a Evangelist
    Data de Ingresso
    Nov 2010
    Localização
    São Paulo
    Posts
    386
    Alexandre,

    Obrigado por sua atenção.

    Veja testei:

    yum update

    veja:

    Last login: Thu Jan 26 18:58:21 2012 from 201-13-174-196.dial-up.telesp.net.br
    [root@santoantonio ~]# yum update
    Loaded plugins: fastestmirror, security
    Loading mirror speeds from cached hostfile
    * base: mirrors.loosefoot.com
    * epel: fedora-epel.mirror.lstn.net
    * extras: mirror.ubiquityservers.com
    * updates: mirrors.loosefoot.com
    Setting up Update Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package environment-modules.x86_64 0:3.2.7b-6.el6 will be updated
    ---> Package environment-modules.x86_64 0:3.2.7b-7.el5 will be an update
    --> Processing Dependency: libtcl8.4.so()(64bit) for package: environment-modules-3.2.7b-7.el5.x86_64
    ---> Package plpa-libs.x86_64 0:1.3.2-2.1.el6 will be updated
    ---> Package plpa-libs.x86_64 0:1.3.2-4.el5 will be an update
    ---> Package python-ethtool.x86_64 0:0.6-1.el6 will be updated
    ---> Package python-ethtool.x86_64 0:0.6-2.el5 will be an update
    --> Processing Dependency: python(abi) = 2.4 for package: python-ethtool-0.6-2.el5.x86_64
    --> Finished Dependency Resolution
    Error: Package: environment-modules-3.2.7b-7.el5.x86_64 (epel)
    Requires: libtcl8.4.so()(64bit)
    Error: Package: python-ethtool-0.6-2.el5.x86_64 (epel)
    Requires: python(abi) = 2.4
    Installed: python-2.6.6-29.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
    python(abi) = 2.6
    Available: python26-2.6.5-6.el5.x86_64 (epel)
    python(abi) = 2.6
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest
    [root@santoantonio ~]#

    Obrigado.

    Obs. Hoje instalei normalmente o cpanel em um vps com centos 6 e sem problema.
    Acho que vou reinstalar o centos 6 via IPMI pois ja tentei de tudo!
    Antes de receber o servidor eu efetuei o seguinte:

    yum update all e ocorreu tudo bem

    depois,
    yum -y upgrade
    yum -y install wget bzip2 unzip zip fileutils gcc gcc-c++ ncurses-devel pam-devel libxml2-devel libxslt-devel
    yum -y install binutils autoconf automake libtool zlib lsof man man-pages mlocate quota yum-utils
    yum -y install sendmail rsync sysstat vixie-cron bzip2-devel m4 flex byacc wget which mailx

    2- yum -y install ntp
    chkconfig --levels 235 ntpd on
    ntpdate 0.pool.ntp.org
    /etc/init.d/ntpd start


    3- rpm -Uhv rpmforge-release-0.5.1-1.el5.rf.i386.rpm
    (64Bit)
    wget http://packages.sw.be/rpmforge-relea....rf.x86_64.rpm
    rpm -Uhv rpmforge-release-0.5.1-1.el5.rf.x86_64.rpm


    4- shutdown -r now


    5- depois iniciei a instalação do cpanel

    e recebi o erro abaixo:

    2012-01-26 12:03:32 256 (DEBUG): Error: Package: environment-modules-3.2.7b-7.el5.x86_64 (epel)
    2012-01-26 12:03:32 256 (DEBUG): Requires: libtcl8.4.so()(64bit)
    2012-01-26 12:03:32 256 (DEBUG): Error: Package: python-ethtool-0.6-2.el5.x86_64 (epel)
    2012-01-26 12:03:32 256 (DEBUG): Requires: python(abi) = 2.4
    2012-01-26 12:03:32 256 (DEBUG): Installed: python-2.6.6-29.el6.x86_64 (@anaconda-CentOS-201112091719.x86_64/6.2)
    2012-01-26 12:03:32 256 (DEBUG): python(abi) = 2.6
    2012-01-26 12:03:32 256 (DEBUG): Available: python26-2.6.5-6.el5.x86_64 (epel)
    2012-01-26 12:03:32 256 (DEBUG): python(abi) = 2.6
    2012-01-26 12:03:32 256 (DEBUG): You could try using --skip-broken to work around the problem
    2012-01-26 12:03:33 256 (DEBUG): You could try running: rpm -Va --nofiles --nodigest
    2012-01-26 12:03:33 256 (ERROR): - ssystem [EXIT_CODE] '/usr/bin/yum' exited with 1 (ignored)
    2012-01-26 12:03:33 256 (DEBUG): - ssystem [END]
    2012-01-26 12:03:33 260 (FATAL): yum failed 6 times. Cannot continue!
    Última edição por carlosnunes; 27-01-2012 às 00:58.
    Carlos Nunes
    Analista de sistemas
    Desenvolvimento de Soluções para web.
    Criarnaweb E-Solutions
    www.criarnaweb.com.br
    https://br.linkedin.com/in/nunescarlos

  7. #7
    WHT-BR Top Member
    Data de Ingresso
    Dec 2010
    Localização
    /sc/rionegrinho
    Posts
    1,036
    Interessante Carlos.

    Olha, normalmente a primeira coisa que eu faço é instalar o cPanel. Só depois é que eu instalo outros pacotes. Por que você não tenta desta forma?
    Talvez um dos pacotes que você instalou previamente conflitou com algo.

    Veja bem, eu procuraria o pacote libtcl8.4.so()(64bit) no RPM Search e instalaria manualmente para tentar resolver a falha de dependência, mas como você tem a facilidade para reinstalar o CentOS, é mais rápido que ficar quebrando a cabeça.

    Mas mantenha o tópico atualizado de suas ações por favor
    Alexandre Silva Hostert

    Veezon
    Gerenciamento de Servidores


    http://veezon.com.br
    http://br.linkedin.com/in/alexandreveezon

  8. #8
    Aspirante a Evangelist
    Data de Ingresso
    Nov 2010
    Localização
    São Paulo
    Posts
    386
    Pessoal boa noite.

    Todo o problema estava na instalação do centos 6 entregue pelo ubiquity servers.
    Recebi o servidor com a versão centos 6 minimal.
    Fui ao site centos.org e baixei tudo full, ativei o IKVM e reinstalei do jeito que erá necessário, o cara ficou certinho.
    Mas para minha surpresa toda a minha faixa de ip estva em RBL (Legal).
    O suporte pediu desculpas entre outras coisas, mas cancelei o cara e migrei para a Singlehop que para mim foi muito veloz na entrega do servidor.
    Usei minha licença do cpanel, acessei o ssh deixei instalando e fui tomar café, tudo ocorreu muito bem e certinho.
    Obs, usei as mesmas atualizações anteriores antes de rodar o cpanel e deu tudo certo.
    Pessoal, fujam de mais uma armadilha, pelo que entendi a UBIQUITY SERVERS queria que eu pagasse U$75,00 A HORA PARA REINSTALAR E RESOLVER MEUS PROBLEMAS E PORQUE NÃO COMPREI TAMBÉM A LICENÇA E O PACOTE DELES DE GERENCIAMENTO ME DERAM TUDO PESSIMAMENTE INSTALADO.
    VIVA A IPMI DA SUPERMICRO ME SALVOU A VIDA...
    Obrigado mesmo a vocês GRANDES COMPANHEIROS que sempre estão aqui sem medo de esconder o que sabem!
    Valeu muito sucesso a todos,
    Obs, quem esta em dúvida sobre a Singlehop mete a cara o pessoal la é fera.

    fui
    Carlos Nunes
    Analista de sistemas
    Desenvolvimento de Soluções para web.
    Criarnaweb E-Solutions
    www.criarnaweb.com.br
    https://br.linkedin.com/in/nunescarlos

Permissões de Postagem

  • Você não pode iniciar novos tópicos
  • Você não pode enviar respostas
  • Você não pode enviar anexos
  • Você não pode editar suas mensagens
  •